GNU Radio 2.x: gr_block_detail Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_block_detail Class Reference
[Implementation Details]

`#include <gr_block_detail.h>`

Collaboration diagram for gr_block_detail:

[legend]
List of all members.

## Detailed Description

Implementation details to support the signal processing abstraction.

This class contains implementation detail that should be "out of sight" of almost all users of GNU Radio. This decoupling also means that we can make changes to the guts without having to recompile everything.

## Public Member Functions
| ~gr_block_detail ()
int | ninputs () const
int | noutputs () const
bool | sink_p () const
bool | source_p () const
void | set_done (bool done)
bool | done () const
void | set_input (unsigned int which, gr_buffer_reader_sptr reader)
gr_buffer_reader_sptr | input (unsigned int which)
void | set_output (unsigned int which, gr_buffer_sptr buffer)
gr_buffer_sptr | output (unsigned int which)
void | consume (int which_input, int how_many_items)
| Tell the scheduler `how_many_items` of input stream `which_input` were consumed.
void | consume_each (int how_many_items)
| Tell the scheduler `how_many_items` were consumed on each input stream.
void | produce_each (int how_many_items)
## Friends
gr_block_detail_sptr | gr_make_block_detail (unsigned int ninputs, unsigned int noutputs)

## Constructor & Destructor Documentation

gr_block_detail::~gr_block_detail | ( |  | ) |

## Member Function Documentation

void gr_block_detail::consume | ( | int | which_input,
|  | int | how_many_items
| ) |

| Tell the scheduler `how_many_items` of input stream `which_input` were consumed.

void gr_block_detail::consume_each | ( | int | how_many_items | ) |

| Tell the scheduler `how_many_items` were consumed on each input stream.

bool gr_block_detail::done | ( |  | ) | const`[inline]`

gr_buffer_reader_sptr gr_block_detail::input | ( | unsigned int | which | ) | `[inline]`

int gr_block_detail::ninputs | ( |  | ) | const`[inline]`

int gr_block_detail::noutputs | ( |  | ) | const`[inline]`

gr_buffer_sptr gr_block_detail::output | ( | unsigned int | which | ) | `[inline]`

void gr_block_detail::produce_each | ( | int | how_many_items | ) |

void gr_block_detail::set_done | ( | bool | done | ) |

void gr_block_detail::set_input | ( | unsigned int | which,
|  | gr_buffer_reader_sptr | reader
| ) |

void gr_block_detail::set_output | ( | unsigned int | which,
|  | gr_buffer_sptr | buffer
| ) |

bool gr_block_detail::sink_p | ( |  | ) | const`[inline]`

bool gr_block_detail::source_p | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

gr_block_detail_sptr gr_make_block_detail | ( | unsigned int | ninputs,
|  | unsigned int | noutputs
| ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_block_detail.h
- gr_block_detail.cc